package com.example.demo.types.api;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Size;

// DTO для сущности "Тип" (Тип книги)
public class TypeDto {
    // Идентфикатор
    private Long id;

    // Название типа
    @NotBlank
    @Size(min = 5, max = 50)
    private String name;

    // Получить идентификатор
    public Long getId() {
        return id;
    }

    // Установить идентификатор
    public void setId(Long id) {
        this.id = id;
    }

    // Получить название типа
    public String getName() {
        return name;
    }

    // Установить название типа
    public void setName(String name) {
        this.name = name;
    }
}
